VariableResolver (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.VariableResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class VariableResolver

    java.lang.Object
      org.apache.solr.handler.dataimport.VariableResolver

Direct Known Subclasses:
  VariableResolverImpl

    public abstract class VariableResolver

extends Object

This class is more or less like a Map. But has more intelligence to resolve namespaces. Namespaces are delimited with '.' (period)

Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

This API is experimental and may change in the future.

Since:
  solr 1.3
Version:
  $Id: VariableResolver.java 682376 2008-08-04 13:18:19Z shalin $

Constructor Summary
`VariableResolver()`

Method Summary
`abstract String` | `replaceTokens(String template)` Given a String with place holders, replace them with the value tokens.
`abstract Object` | `resolve(String name)` Resolves a given value with a name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableResolver

    public VariableResolver()

Method Detail

### resolve

    public abstract Object resolve(String name)

  Resolves a given value with a name

  Parameters:
    `name` - the String to be resolved
  Returns:
    an Object which is the result of evaluation of given name

### replaceTokens

    public abstract String replaceTokens(String template)

  Given a String with place holders, replace them with the value tokens.

  Parameters:
    `template` -
  Returns:
    the string with the placeholders replaced with their values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD